function c = FiniteCdnPairs(d,n)
% FINITECDNPAIRS  Calls SampleCdnPairs and stores result
%
%    C = FINITECDNPAIRS(D,N) is a wrapper to SampleCdnPairs(D,N,1000). If
%    previous results exists they are loaded, otherwise the results are newly
%    generated and stored.

%    Copyright 2009, Ewout van den Berg and Michael P. Friedlander
%    This file is part of the code accompanying the paper: Joint-sparse
%    recovery from multiple measurements, submitted April 2009.

% Get filename prefix
prefix = mfilepath(mfilename('fullpath'));

filename = sprintf('%sFiniteCdnPairs_%d_%d.mat',prefix,d,n);
if ~exist(filename)
   randn('state',d*10+n);
   c = SampleCdnPairs(d,n,1000);
   save(filename,'c','d','n');
else
   S = load(filename);
   c = S.c;
end
