function p = SuccessRateReMBoTheory(survive,total,orthants)
% SUCCESSRATEREMBOTHEORY   Compute empirical-theoretical modelled recovery rate
%
%    P = SUCCESSRATEREMBOTHEORY(SURVIVE,TOTAL,ORTHANTS) computes the modelled
%    recovery rate using ReMBo for a fixed support for which SURVIVE number of
%    sign patterns can be recovered from the TOTAL number of sign patterns on
%    that support. ORTHANTS gives the number of orthants/sign patterns tried.

%    Copyright 2009, Ewout van den Berg and Michael P. Friedlander
%    This file is part of the code accompanying the paper: Joint-sparse
%    recovery from multiple measurements, submitted April 2009.

perish  = total - survive;

p = 0 * orthants;
for i=1:prod(size(orthants))
   pval = 1;
   for j=1:orthants(i)
      pval = pval * (perish - 2*j + 2) / (total - 2*j + 2);
   end
   p(i) = 1 - pval;
end

