function c = Cdn(d,n)
% CDN   Computes maximum number of orthant intersections
%
%    C = CDN(D,N) computes the maximum number of orthants that can be
%    intersected by a hyperplane generated by linear combinations of D
%    vectors in R^N.

%    Copyright 2009, Ewout van den Berg and Michael P. Friedlander
%    This file is part of the code accompanying the paper: Joint-sparse
%    recovery from multiple measurements, submitted April 2009.

c = 0;
for i=0:(min(d,n)-1)
  c = c + 2*binomial(n-1,i);
end

function result = binomial(n,r)
   result = exp(sum(log(n-r+1:n)) - sum(log(1:r)));

