function ExportFigurePDF(prefix,filename);
% EXPORTFIGUREPDF   Exports figure in PDF format and crops borders
%
%   EXPORTFIGUREPDF(FILENAME)  exports the current figure to the PDF file
%   given by FILENAME. An attempt is then made to crop the file using the
%   PDFCROP command which is available on most LINUX system.
%
%   Important: for PDFCROP to work the output file FILENAME has to be in
%              the current directory. Make sure to change to the desired 
%              directory prior to calling this function.

%    Copyright 2009, Ewout van den Berg and Michael P. Friedlander
%    This file is part of the code accompanying the paper: Joint-sparse
%    recovery from multiple measurements, submitted April 2009.

cmd = sprintf('print -dpdf %s',filename);
eval(cmd);

p = pwd;
try
   cd(prefix);
   cmd = sprintf('pdfcrop %s %s',filename,filename');
   [status,result] = system(cmd);
   if status ~= 0
      fprintf('Warning: Could not crop %s\n         %s', filename, result);
   end
catch
   fprintf('Warning: Could not crop %s\n', filename);
end
cd(p);
